> ## Documentation Index
> Fetch the complete documentation index at: https://watermelon.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Message



## OpenAPI

````yaml get /messages/{id}
openapi: 3.0.3
info:
  version: 1.0.0
  title: https://public.watermelon.ai
servers:
  - url: https://public.watermelon.ai/api/v1
security: []
paths:
  /messages/{id}:
    get:
      summary: Get Message
      operationId: GetMessageByID
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
          description: Message id to fetch
      responses:
        '200':
          description: Message
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Message'
        '204':
          description: No message found
        '500':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - Bearer: []
components:
  schemas:
    Message:
      type: object
      properties:
        id:
          type: integer
        conversation_id:
          type: integer
        user_id:
          type: integer
        type:
          type: string
          enum:
            - text
            - sticker
            - photo
            - video
            - file
            - activity
            - typing
            - attachment
            - emoji
            - location
            - contact
        payload:
          type: string
        new:
          type: boolean
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        deleted_at:
          type: string
          format: date-time
        read:
          type: boolean
    Error:
      type: object
      properties:
        code:
          type: integer
          format: int64
        message:
          type: string
        fields:
          type: string
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````